# Postgre

Install a postgres bdd and configure users.

This role is part of my ansible roles. It require some variables.

## Variable required:

```
ansible_managed: str, msg indicating a file managed by ansible
postgres_users: list of user to add to bdd (format: {name: str, password: str}).
databases: list of the databases to create (format: {name: str, owner: Optionnal[str], local: Optionnal[str], template: Optionnal[str]})
```

## Add role to you ansible playbook:

To add this role to your project, you can use git submodules: 

```
git submodule add ssh://git@gitea.auro.re:2222/Pains-Perdus/postgre.git roles/postgre
git submodule init
```

## Copyright

Copyright 2021 Jean-Marie Mineau <histausse@protonmail.com>
